Loading...
Searching...
No Matches
swap: Swap vectors
Dense LA » MAGMA BLAS and Auxiliary » Level 1: vectors operations, O(n) work

\(x <=> y\) More...

## Functions

void | magma_cswap (magma_int_t n, magmaFloatComplex_ptr dx, magma_int_t incx, magmaFloatComplex_ptr dy, magma_int_t incy, magma_queue_t queue)
| Swap vector x and y; \( x <-> y \).
void | magma_dswap (magma_int_t n, magmaDouble_ptr dx, magma_int_t incx, magmaDouble_ptr dy, magma_int_t incy, magma_queue_t queue)
| Swap vector x and y; \( x <-> y \).
void | magma_sswap (magma_int_t n, magmaFloat_ptr dx, magma_int_t incx, magmaFloat_ptr dy, magma_int_t incy, magma_queue_t queue)
| Swap vector x and y; \( x <-> y \).
void | magma_zswap (magma_int_t n, magmaDoubleComplex_ptr dx, magma_int_t incx, magmaDoubleComplex_ptr dy, magma_int_t incy, magma_queue_t queue)
| Swap vector x and y; \( x <-> y \).
void | magmablas_cswap (magma_int_t n, magmaFloatComplex_ptr dx, magma_int_t incx, magmaFloatComplex_ptr dy, magma_int_t incy, magma_queue_t queue)
void | magmablas_dswap (magma_int_t n, magmaDouble_ptr dx, magma_int_t incx, magmaDouble_ptr dy, magma_int_t incy, magma_queue_t queue)
void | magmablas_sswap (magma_int_t n, magmaFloat_ptr dx, magma_int_t incx, magmaFloat_ptr dy, magma_int_t incy, magma_queue_t queue)
void | magmablas_zswap (magma_int_t n, magmaDoubleComplex_ptr dx, magma_int_t incx, magmaDoubleComplex_ptr dy, magma_int_t incy, magma_queue_t queue)

## Detailed Description

\(x <=> y\)

## Function Documentation

## magma_cswap()

void magma_cswap | ( | magma_int_t | n,
|  | magmaFloatComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloatComplex_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Swap vector x and y; \( x <-> y \).

Parameters

  [in] | n | Number of elements in vector x and y. n >= 0.
  [in,out] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | COMPLEX array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dswap()

void magma_dswap | ( | magma_int_t | n,
|  | magmaDouble_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDouble_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Swap vector x and y; \( x <-> y \).

Parameters

  [in] | n | Number of elements in vector x and y. n >= 0.
  [in,out] | dx | DOUBLE PRECISION array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | DOUBLE PRECISION array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_sswap()

void magma_sswap | ( | magma_int_t | n,
|  | magmaFloat_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloat_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Swap vector x and y; \( x <-> y \).

Parameters

  [in] | n | Number of elements in vector x and y. n >= 0.
  [in,out] | dx | REAL array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | REAL array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zswap()

void magma_zswap | ( | magma_int_t | n,
|  | magmaDoubleComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDoubleComplex_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Swap vector x and y; \( x <-> y \).

Parameters

  [in] | n | Number of elements in vector x and y. n >= 0.
  [in,out] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | COMPLEX_16 array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_cswap()

void magmablas_cswap | ( | magma_int_t | n,
|  | magmaFloatComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloatComplex_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

# Purpose:

Swap vector x and y; \( x <-> y \).

Parameters

  [in] | n | Number of elements in vector x and y. n >= 0.
  [in,out] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | COMPLEX array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dswap()

void magmablas_dswap | ( | magma_int_t | n,
|  | magmaDouble_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDouble_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

# Purpose:

Swap vector x and y; \( x <-> y \).

Parameters

  [in] | n | Number of elements in vector x and y. n >= 0.
  [in,out] | dx | DOUBLE PRECISION array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | DOUBLE PRECISION array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_sswap()

void magmablas_sswap | ( | magma_int_t | n,
|  | magmaFloat_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloat_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

# Purpose:

Swap vector x and y; \( x <-> y \).

Parameters

  [in] | n | Number of elements in vector x and y. n >= 0.
  [in,out] | dx | REAL array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | REAL array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zswap()

void magmablas_zswap | ( | magma_int_t | n,
|  | magmaDoubleComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDoubleComplex_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

# Purpose:

Swap vector x and y; \( x <-> y \).

Parameters

  [in] | n | Number of elements in vector x and y. n >= 0.
  [in,out] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | COMPLEX_16 array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.